Skip to main content
GET
Public list of the user's positions

Path Parameters

address
string
required

Query Parameters

status
enum<string>

Defaults to open.

Available options:
open,
won,
lost,
voided,
resolving,
all
limit
integer

Page size; omit to receive the full list.

Required range: 1 <= x <= 50
cursor
string

Opaque cursor from a prior nextCursor.

category
string

Vertical slug (canonical form) — narrows the position LIST to that vertical.

Response

200 - application/json
positions
object[]
required

Position rows in the same shape as /api/me/positions — qty, avgCost, currentPrice, currentValue, realized/unrealized P&L.

nextCursor
string | null
required

Opaque cursor for the next page; null when there is no more data or pagination was not requested.

hasMore
boolean
required

True when another page is available.